package net.northking.cctp.se.plan.bean;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "engine_plan_info")
public class EnginePlanInfo {
    /**
     * 主键
     */
    @Id
    private String id;

    /**
     * 计划主键
     */
    private String planId;

    /**
     * 批次主键
     */
    private String batchId;

    /**
     * 队列类型
     */
    private String type;

    /**
     * 队列名称
     */
    private String queueName;

    /**
     * 优先级（0-低，1-高）
     */
    private String priority;

    /**
     * 设备编号
     */
    private String deviceId;

    /**
     * pc设备浏览器类型（1-IE,2-chrome,3-firefox,4-edge）
     */
    private String browserType;

    /**
     * 任务创建时间
     */
    private Date createdTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getQueueName() {
        return queueName;
    }

    public void setQueueName(String queueName) {
        this.queueName = queueName;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getBrowserType() {
        return browserType;
    }

    public void setBrowserType(String browserType) {
        this.browserType = browserType;
    }


    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }
}
